# How to Setup and Use MongoDB with Deno

When it comes to learning a new framework or language, the first thing that comes to our mind is creating a Todo app that has all the basic CRUD functionalities. So in this article, we will create a Todo CRUD RESTful API in a Deno environment that runs on an Oak middleware server and uses a MongoDB database.

![How to Setup and Use MongoDB with Deno](https://codevoweb.com/wp-content/uploads/2022/09/How-to-Setup-and-Use-MongoDB-with-Deno.webp)

## Topics Covered

- What is Deno Oak Middleware Framework?
- Installing Deno
- Setup Oak Middleware and Routing
- Setup MongoDB Server with Docker
- Connect Deno to MongoDB Server
- Create the MongoDB Database Models
- Create the Request Validation Schemas
- Create the Route Controllers
    - Add the Dependency Imports
    - Create Document Controller
    - Update Document Controller
    - Read a Single Document Controller
    - Read All Documents Controller
    - Delete Document Controller
    - Export the Controllers
- Create/Merge the API Routes with Oak
- Test the Deno API with Postman
    - Create a new document
    - Update an existing document
    - Get a single document
    - Get all the documents
    - Delete a document

Read the entire article here: [https://codevoweb.com/setup-and-use-mongodb-with-deno](https://codevoweb.com/setup-and-use-mongodb-with-deno)

Articles in this Series:

### 1. How to Setup and Use MongoDB with Deno

[How to Setup and Use MongoDB with Deno](https://codevoweb.com/setup-and-use-mongodb-with-deno)

### 2. How to Set up Deno RESTful CRUD Project with MongoDB

[How to Set up Deno RESTful CRUD Project with MongoDB](https://codevoweb.com/setup-deno-restful-crud-project-with-mongodb)

### 3. Authentication with Bcrypt, JWT, and Cookies in Deno

[Authentication with Bcrypt, JWT, and Cookies in Deno](https://codevoweb.com/authentication-with-bcrypt-jwt-and-cookies-in-deno)

### 4. Build a Complete Deno CRUD RESTful API with MongoDB

[Build a Complete Deno CRUD RESTful API with MongoDB](https://codevoweb.com/deno-crud-restful-api-with-mongodb)
